/**
 * @file osw_assert.c
 */
#include <stdio.h>
#include <osw_assert.h>


/**
 * osw_assert(exp) にて, exp が 偽の場合に, 本関数が call されます.
 *
 * @param file ソースファイル名
 * @param line ソース行番号
 * @param exp  偽となった演算式
 */
void osw_assert_exec(const char* file, int line, const char* exp)
{
	fprintf(stderr, "%s:%d assert error (exp = %s)\n", file, line, exp);
}

